/* HickPrj 1.0.1 -- Login project chooser for hick.
** Copyright (C) 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <pwd.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/time.h>

#include <gtk/gtkrc.h>
#include <gtk/gtkmain.h>

#include "hickpc.h"
#include "chooser.h"


int
main(int argc, char **argv)
{
  int n;
  int t = 0;
  Projects prjs;
  struct passwd *pwd;
  char *p = NULL;
  char *header = PROGRAM;
  char *desc = 0;

  gtk_init(&argc, &argv);
  gtk_rc_init();

  while((n = getopt(argc, argv, "T:t:d:")) != EOF) {
    switch(n) {
      case 'T': {		/* Title */
	header = optarg;
	break;
      }
      case 't': {		/* timeout */
	t = atoi(optarg);
	break;
      }
      case 'd': {		/* user Description */
	desc = optarg;
	break;
      }
      default: {
	printf("uhu, unknown option.\n");
	return 1;
      }
    }
  }

  if(optind == argc) {
    printf("Error: missing projects informations.\n");
    return 1;
  }

  if(!(pwd = getpwuid(geteuid()))) {
    return 1;
  }

  projects_init(&prjs, argv[optind], pwd->pw_name, desc, pwd->pw_dir);

  if(prjs.projects.siz <= 1) {
    return 1;
  }

  gtk_widget_show_all(chooser_new(&prjs, t, header, pwd->pw_dir));

  gtk_main();
  return 0;
}
