/* HickPrj 1.0.1 -- Login project chooser for hick.
** Copyright (C) 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _PROJECT_H
#define _PROJECT_H

#include "array.h"
#include "hicksh.h"

#define HICK_SPECFILE  "prjspec.hick"
#define HICK_INFOFILE  "prjinfo.hick"


typedef struct {
  char *name;                   /* Name of project (name on tab) */
  char *prjdir;			/* project directory */
  char *specfile;		/* where the specifications are stored */
  char *infofile;               /* project description file */
  char *homedir;                /* home directory for hick */
} Project;


typedef struct {
  PArr projects;

  char prjfile[FNAME_LEN + 1];

  Project *def;
  Project *current;
} Projects;


#ifdef __cplusplus
extern "C" {
#endif

extern void projects_init(Projects *prjs, const char *prjsstr, char *user, 
			  char *infofile, char *homedir);

extern int project_save_default(Projects *prjs);


#ifdef __cplusplus
}
#endif

#endif /* _PROJECT_H */
