/* HickUP 1.1.1 -- Graphical interface to hick.
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _AVAILREP_H
#define _AVAILREP_H

#include "entry.h"		/* from hick lib 1.3 */

#include "packet.h"
#include "project.h"
#include "specvars.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void availrep_clear(Project *prj);

extern void availrep_show_report(Project *prj);
extern void availrep_show(Project *prj);

extern void availrep_removed(Project *prj, const char *type,
			     userEntryList *ulist);

extern void availrep_conflict(Project *prj, const char *type,
			      AvailPacket *apack, AvailVersion *aver,
			      AvailPacket *pack, AvailVersion *ver);

extern int availrep_check(Project *prj, Packet *packet, time_t curtime, 
			  SpecVar *svar, int have_svars, 
			  userEntryList *installed);

#ifdef __cplusplus
}
#endif

#endif /* _AVAILREP_H */
