/* HickUP 1.1.1 -- Graphical interface to hick.
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _DIALOG_H
#define _DIALOG_H

#include <gtk/gtkwidget.h>

#ifndef BUTTON_ISDEF
#define BUTTON_ISDEF   0
#endif

#ifndef BUTTON_CANDEF
#define BUTTON_CANDEF  1
#endif

#ifndef BUTTON_NODEF
#define BUTTON_NODEF   2
#endif

/* GUI_Dialog ************************************************************** */

typedef struct {
  GtkWidget *window;

  void *arg;
} GUI_Dialog;

/* GUI_Dialog_Msg ********************************************************** */

typedef struct {
  GUI_Dialog dialog;

  GtkWidget *msg;
} GUI_Dialog_Msg;

/* GUI_Dialog_TextErr ****************************************************** */

typedef struct {
  GUI_Dialog_Msg mdialog;

  GtkWidget *text;
  int have_err;
} GUI_Dialog_Err;

#ifdef __cplusplus
extern "C" {
#endif

#define dialog_init(guid)   (guid)->window = NULL; (guid)->arg = NULL
#define dialog_msg_init(guid)  \
                   (guid)->msg = NULL; dialog_init(&(guid)->dialog)
#define dialog_err_init(guid)  \
                   (guid)->text = NULL; (guid)->have_err = FALSE; \
                   dialog_msg_init(&(guid)->mdialog)

extern GtkWidget *dialog_new(GUI_Dialog *gdialog, const char *title, ...);

extern GtkWidget *dialog_msg_new(GUI_Dialog_Msg *gdialog, const char *title,
				 const char *msg, ...);

extern GtkWidget *dialog_err_new(GUI_Dialog_Err *gtdialog,
				 const char *title, const char *msg, ...);

extern int dialog_err_exit_new(int exitcode, const char *title,
			       const char *fmt, ...);
extern int dialog_err_return_new(int retcode, const char *title,
				 const char *fmt, ...);

#ifdef __cplusplus
}
#endif

#endif /* _DIALOG_H */
