/* HickUP 1.1.1 -- Graphical interface to hick.
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _WWRAP_H
#define _WWRAP_H

#include <gtk/gtksignal.h>

#include "hicksh.h"

#ifndef BUTTON_ISDEF
#define BUTTON_ISDEF   0
#endif

#ifndef BUTTON_CANDEF
#define BUTTON_CANDEF  1
#endif

#ifndef BUTTON_NODEF
#define BUTTON_NODEF   2
#endif

#define WW_HBBOX  0
#define WW_VBBOX  1

#ifdef __cplusplus
extern "C" {
#endif

extern GtkWidget *ww_frame(GtkWidget **label, const char *title,
			   const char *text, GtkWidget *textwidget,
			   GtkWidget *box);

/* name, flag, **widget, signal_func, arg */
extern GtkWidget *ww_buttons(GtkWidget *box, int type,
			     GtkButtonBoxStyle layout, gint width, ...);

extern GtkWidget *ww_text_area(GtkWidget **text, int border);
extern void ww_text_clear(GtkWidget *widget);

extern GtkWidget *ww_ctree(GtkWidget **ctree, gint columns, gint tree_column,
			   gchar **titles, gint *cwidth);

extern GtkWidget *ww_clist(GtkWidget **clist, gint columns, gchar **titles,
			   gint *cwidth);

extern GtkWidget *ww_menu(const char **array, size_t siz, GtkSignalFunc func);

extern GtkWidget *ww_array_option(const char **array, size_t siz, int select, 
				  GtkSignalFunc func);

#ifdef __cplusplus
}
#endif

#endif /* _WWRAP_H */
