/* HMod 1.0.0 -- Hick modules emulation.
** Copyright (C) 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HMOD_H
#define HMOD_H

#include <sys/types.h>

#define HMOD_PRG "hmod"
#define HMOD_VER "1.0.0"

#define HICKTYPE   "HICKTYPE"
#define HICKLOADED "HICKLOADED"

#ifdef __cplusplus
extern "C" {
#endif

extern char *hmod_strdup(const char *str);

extern void hmod_out_of_memory(void *d);

extern int hmod_hickloaded_get(const char *str, size_t *pos, char **name, 
			       char **version);

extern char *hmod_hickloaded_convert(char *name, char *version);

#ifdef __cplusplus
}
#endif

/* HICKLOADED           - Loaded hick packets by hmod
**
**        NAME '/' VERSION [ ':' NAME '/' VERSION ... ]
**
**        \\ -> \, \: -> :, \/ -> /
*/

#endif // HMOD_H
