/* HMod 1.0.0 -- Hick modules emulation.
** Copyright (C) 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HMODAVAIL_H
#define HMODAVAIL_H

#include <stdio.h>

#include "hick.h"
#include "nodes.h"
#include "array.h"

typedef enum {
  HMOD_AVAIL_NOT = 0,	/* not availible */
  HMOD_AVAIL_BASE,	/* base availible, from the .hick directory */
  HMOD_AVAIL_LOADED	/* loaded thru hmod */
} HModAvail;


typedef struct {
  Node node;

  char *name;
  char *version;
  int is_def;
  HModAvail avail;
} HModPacket;


typedef struct {
  NodeList list;		/* list of HModPacket */

  size_t siz;			/* number of items */
  size_t width;			/* max name + version width*/
  int have_def;			/* do we have any default versions? */
} HModPackets;


#ifdef __cplusplus
extern "C" {
#endif

extern void hmod_avail_print(FILE *file, HickPackets *pkg);
extern int hmod_avail_get(HModPackets *hmodpkg, HickPackets *pkg,
			  PArr *loaded);

#ifdef __cplusplus
}
#endif

#endif /* HMODAVAIL_H */
