/* HMod 1.0.0 -- Hick modules emulation.
** Copyright (C) 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <stdio.h>

#include "hmodcmd.h"

static HModCmds hmod_commands[] = {
  { "add",     HMOD_ADD },
  { "load",    HMOD_ADD },
  { "try-add", HMOD_TRYADD },
  { "rm",      HMOD_REMOVE },
  { "unload",  HMOD_REMOVE },
  { "list",    HMOD_LIST },
  { "avail",   HMOD_AVAIL },
  { "version", HMOD_VERSION },
  { "help",    HMOD_HELP },
  { 0,         HMOD_NONE }
};


HModCmd
hmod_command_get(const char *name)
{
  int n;

  for(n = 0; hmod_commands[n].cmd != HMOD_NONE; n++) {
    if(!strcasecmp(hmod_commands[n].name, name)) {
      return hmod_commands[n].cmd;
    }
  }

  return HMOD_NONE;
}
