/* HMod 1.0.0 -- Hick modules emulation.
** Copyright (C) 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HMODLIST_H
#define HMODLIST_H

#include <stdio.h>

#include "array.h"


typedef struct {
  char *name;
  char *version;
} HModLoaded;

#ifdef __cplusplus
extern "C" {
#endif

extern void hmod_list_print(FILE *file);

extern int hmod_list_get(PArr *arr);
extern void hmod_list_put(FILE *file, PArr *arr, const char *name);

extern void hmod_list_add(PArr *arr, const char *name, const char *version);
extern void hmod_list_remove(PArr *arr, const char *name, const char *version);

extern HModLoaded *hmod_list_find(PArr *arr, const char *name,
				  const char *version);
extern HModLoaded *hmod_list_pkg_find(PArr *arr, const char *name);
extern HModLoaded *hmod_list_ver_find(PArr *arr, const char *version);

#ifdef __cplusplus
}
#endif

#endif /* HMODLIST_H */
