/* HICK Lib 1.3.2 - User Profiler Library.
** Copyright (C) 97, 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _DOFUNCS_H
#define _DOFUNCS_H

#include "common.h"

/* dofunc ** *************************************************************** */

typedef void (*dofunc)(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		       FILE *logFile, Buffert *buf, void *value2);

/* Externs ***************************************************************** */

#ifdef __cplusplus
extern "C" {
#endif

extern void _doCommand(dofunc fn, HickPacket *hpac, HickPackets *pack,
		       HickVerList *inst, HickVerList *insted, FILE *logFile,
		       FILE *file, void *value2);

extern int _doConflict(HickPacket *hpac, HickEntry *entry, HickVerList *inst,
		       HickVerList *insted, userEntryList *ueinst,
		       HickResult *result, FILE *logFile);

extern void _doRequire(HickPacket *hpac, HickEntry *entry, HickVerList *inst,
		       HickVerList *insted, HickRequire **head);
extern void _doCall(HickPacket *hpac, HickEntry *entry, HickVerList *vlist,
		    FILE *logFile, FILE *callFile, int t,
		    const char *userhome);
extern void _doRemove(userEntry *ue, HickPacket *hpac, HickVer *ver,
		      HickEntry *entry, HickPackets *pack, FILE *logFile,
		      int wlog, FILE *callFile, unsigned int mask,
		      HickEventFunction call, void *arg);
/* extern void _doCreate(HickPacket *hpac, HickPackets *pack, HickEntry *entry, */
/* 		      HickVerList *vlist, FILE *createdFile, FILE *logFile); */
extern void _doLink(HickPacket *hpac, HickPackets *pack, HickEntry *entry,
		    HickVerList *vlist, FILE *logFile);

extern void _doEnviron(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		       FILE *logFile, Buffert *buf, void *value2);
extern void _doInfo(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		    FILE *logFile, Buffert *buf, void *value2);
extern void _doHTML(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		    FILE *logFile, Buffert *buf, void *value2);
extern void _doMenuItem(HickPacket *hpac, HickPackets *pack, HickVer *ver,
			FILE *logFile, Buffert *buf, void *value2);
extern void _doXRes(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		    FILE *logFile, Buffert *buf, void *value2);
extern void _doScript(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		      FILE *logFile, Buffert *buf, void *value2);
extern void _doCreate(HickPacket *hpac, HickPackets *pack, HickVer *ver,
		      FILE *logFile, Buffert *buf, void *value2);


extern void parseRequire(const char *name, const char *version, 
			 HickEnv *envHead, HickRequirePacket *greq, 
			 HickRequire **head);

#ifdef __cplusplus
}
#endif

#endif /* _DOFUNCS_H */
