/* HICKMK Lib 1.2.1 - HICK Make Utility
** Copyright (C) 98, 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _HICKMK_H
#define _HICKMK_H

#include <sys/types.h>

#ifndef HICKMKLIB_MAJOR_VERSION
#define HICKMKLIB_MAJOR_VERSION 1
#endif

#ifndef HICKMKLIB_MINOR_VERSION
#define HICKMKLIB_MINOR_VERSION 2
#endif

#ifndef HICKMKLIB_MICRO_VERSION
#define HICKMKLIB_MICRO_VERSION 1
#endif

#ifndef HICKMKLIB_STRING_VERSION
#define HICKMKLIB_STRING_VERSION "1.2.0"
#endif

#define HICKMK_DEFAULT_WIDTH  79

/* Externs ***************************************************************** */

#ifdef __cplusplus
extern "C" {
#endif

/* GNU Info */

extern void hickmk_info_remove(const char *homepath, const char *hicktype);

extern int hickmk_info_create(const char *infohead, const char *homepath,
			      const char *hicktype, size_t maxLen);

/* HTML */

extern char **hickmk_html_get(const char *htmlpath, size_t *siz);

extern void hickmk_html_remove(const char *homepath, const char *hicktype);

extern int hickmk_html_create(const char **names, unsigned int nameSize,
			      const char *htmlpath, const char *homepath,
			      const char *hicktype);

/* Menus */

extern char **hickmk_menus_get(const char *menupath, size_t *siz);

extern void hickmk_menus_remove(const char *homepath, const char *hicktype);

extern int hickmk_menus_create(const char **names, unsigned int nameSize,
			       const char *menupath, const char *homepath,
			       const char *hicktype, const char *menusub);

/* scripts */

extern char **hickmk_scripts_get(const char *scriptpath, size_t *siz);

extern void hickmk_scripts_remove(const char *homepath, const char *hicktype);

extern int hickmk_scripts_create(const char **names, unsigned int nameSize,
				 const char *scriptpath, const char *homepath,
				 const char *hicktype);

#ifdef __cplusplus
}
#endif

#endif /* _HICKMK_H */
