/* HickSH Lib 1.1.1 - Shared routines between hick parts.
** Copyright (C) 99, 2000 Daniel Bergstroem <daniel@sdf.se>
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef HSTRING_H
#define HSTRING_H

#include <sys/types.h>

typedef struct {
  char *data;
  size_t len;
  size_t alloc;
} HString;

#ifdef __cplusplus
extern "C" {
#endif

#define hstring_init(s) (s)->data = 0, (s)->len = (s)->alloc = 0

#define hstring_data(s)     (s)->data
#define hstring_length(s)   (s)->len
#define hstring_has_data(s) (hstring_length(s) != 0)

extern void hstring_add_char(HString *s, char c);
extern void hstring_add_string(HString *s, char *str, size_t len);

#define hstring_add_hstring(s, str) \
              hstring_add_string((s), (str)->data, (str)->len)

extern void hstring_eos(HString *s);

extern void hstring_clear(HString *s);
extern void hstring_free(HString *s);

#ifdef __cplusplus
}
#endif

#endif /* HSTRING_H */
