package Project;

use strict;
use Env qw(USER HOME HICKTYPE PROJECT PROJECT_ PROJECT_ROOT PROJECT__ROOT);


sub get {
    my ($group_name, $users);
    my @result = ();
    my @groups = split(' ', $(); # split up group string
    shift @groups;		# remove first item in array
    @groups = sort numeric @groups; # sort gid's

    foreach(@groups) {
	$group_name = getgrgid($_); # get group name
	$group_name =~ s/\+$//;	# remove any '+' at the end of the group name

	if($users = (getgrnam("$group_name"))[3]) {
	    if($users =~ m/\b$USER\b/) {
		push(@result, $group_name);
	    } else {		# check in group name with an '+' added to it
		if((($users) = (getgrnam("$group_name+"))[3])) {
		    push(@result, $group_name) if $users =~ m/\b$USER\b/;
		}
	    }
	}
    }

    return @result;
}


sub gets {
    my @groups = Project::get();

    return "" if(!@groups);

    my $result;
    foreach(@groups) {
	$result .= ':' if($result);
	$result .="$_:/home/$_/.users_profile:/home/$_/.users_profile/$USER";
    }

    return $_[0].' '.$result;
}


sub enter {
    my $project = $_[0];
    my $project_root = "/home/$project";

    $PROJECT_      = $project;
    $PROJECT__ROOT = $project_root;
    $PROJECT       = $project;
    $PROJECT_ROOT  = $project_root;

    chdir($project_root) || die "Error: Can't chdir to '$project_root': !$\n";
    print "============== Login to project $project ================\n";
    exec "newgrp", $project;
}


sub update_projectrc {
    my $projrc = "$HOME/.projectrc";

    if(open(DEFPRJ, "$HOME/.hick/project-$HICKTYPE")) {
	my $project = <DEFPRJ>;
	chomp $project;
	close(DEFPRJ);

	if($project ne $USER) {	# it's not the user? update .projectrc
	    open(PROJRC, ">$projrc") ||
		die "Error: Unable to open '$projrc' for write: $!\n";

	    my $project_root = "/home/$project";
	    print PROJRC "setenv PROJECT\t\t$project\nsetenv PROJECT_ROOT\t$project_root\nsetenv PROJECT_\t\t$project\nsetenv PROJECT__ROOT\t$project_root\n";
	    close PROJRC;
	    return;
	}
    }

    unlink $projrc;
}


sub numeric { $a <=> $b }

1;


