package Types;

use strict;

sub check(@) {
    use Env qw(HICKROOT HICKTYPE HOME OSTYPE);

    $HICKTYPE = shift @_ if($#_ >= 0);
    $HICKROOT = shift @_ if($#_ >= 0);

    return 0 if($#_ != -1);

    if(! defined $HICKTYPE) {
	if(! defined $OSTYPE) {
	    print "No HICKTYPE or OSTYPE is set - aborting.\n" ;
	    return 0;
	}

	print "No HICKTYPE set, using OSTYPE (${OSTYPE}).\n";
	$HICKTYPE = $OSTYPE;
    }

    if(! defined $HICKROOT) {
	print "No HICKROOT set, using ${HOME}/.hick.\n";
	$HICKROOT = "${HOME}/.hick";
    }

    return 1;
}

1;
